%def_disable static

Name: libupnp
Version: 1.3.1
Release: alt1

Summary: Linux SDK for UPnP Devices
Group: System/Libraries
License: BSD
Url: http://upnp.sourceforge.net/
Packager: Andrei Bulava <abulava@altlinux.ru>

Source0: http://dl.sourceforge.net/sourceforge/upnp/%name-%version.tar.gz

# Automatically added by buildreq on Tue May 30 2006
BuildRequires: gcc-c++

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API
and open source code for building control points, devices, and bridges that
are compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

UPnP is an architecture that enables discovery, event notification, and
control of devices on a network, independent of operating system, programming
language, or physical network connection. UPnP is based on common Internet
standards and specifications such as TCP/IP, HTTP, and XML. For detailed
information about UPnP, including the UPnP Device Architecture Specification,
please visit the UPnP Forum web site.

%package devel
Summary: Development libraries and header files for libupnp
Group: Development/C
Requires: %name = %version-%release

%description devel
The libupnp-devel package contains libraries and header files needed
to develop applications using libupnp.

%package devel-static
Summary: Development static library for libupnp
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of libupnp library. Install
libupnp-devel-static if you want to develop applications statically linked
with libupnp.

%prep
%setup -q %name-%version

%build
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_disabled static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc ChangeLog LICENSE NEWS README TODO

%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue May 30 2006 Andrei Bulava <abulava@altlinux.ru> 1.3.1-alt1
- initial build for ALT Linux
